<?php
/**
 * Add function to widgets_init that'll load our widget.
 */
add_action('widgets_init', 'rubik_register_instagram_widget');
function rubik_register_instagram_widget(){
	register_widget('rubik_instagram');
}
class rubik_instagram extends WP_Widget {
    
/**
 * Widget setup.
 */
	function __construct() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'widget-instagram', 'description' => esc_html__('Displays Instagram Gallery.', 'rubik') );

		/* Create the widget. */
		parent::__construct( 'rubik_instagram', esc_html__('BK: Instagram', 'rubik'), $widget_ops);
	}
    function widget( $args, $instance ) {
		extract($args);
        $title = apply_filters('widget_title', $instance['title']);
        $access_token = apply_filters('instagram_token', $instance['instagram_token']);
    	$amount = apply_filters('instagram_image_amount', $instance['image_amount']);
        $cols = esc_attr($instance['col_style']);		
        $rows = esc_attr($instance['row_style']);		
        
		// Pulls and parses data.
        
        $json_link = "https://api.instagram.com/v1/users/self/media/recent/?";
        $json_link .="access_token={$access_token}&count={$amount}";
        $json = file_get_contents($json_link);
        $obj = json_decode(preg_replace('/("\w+"):(\d+)/', '\\1:"\\2"', $json), true);
        
        echo $before_widget; 
        if ( $title )
        echo $before_title . $title . $after_title; 
        
		?>
        <div class="ri-grid ri-grid-col-<?php echo esc_attr($cols);?> ri-grid-row-<?php echo esc_attr($rows);?>">
    	<ul>
            <?php
                foreach ($obj['data'] as $post){
                    $pic_link = $post['link'];
                    $pic_src=str_replace("http://", "https://", $post['images']['standard_resolution']['url']);
                    echo '<li class="instagram-item">';
                        echo "<a href='{$pic_link}' target='_blank'>";
                          echo "<img class='img-responsive photo-thumb' src='{$pic_src}' alt='instagram-img'>";
                        echo "</a>";
                    echo "</li>";
                }
            ?>
    	</ul>	
        </div>
        								
        <?php echo $after_widget; ?>
        			 
        <?php }	

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {	
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
      /* Set up some default widget settings. */
      $defaults = array( 'title' => '', 'instagram_token' => '', 'image_amount' => '', 'row_style' => '3', 'col_style' => '3');
      $instance = wp_parse_args( (array) $instance, $defaults );	

      $title = esc_attr($instance['title']);
			$instagram_token = esc_attr($instance['instagram_token']);
			$amount = esc_attr($instance['image_amount']);	
    ?>
    <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e( 'Title:', 'rubik'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>

    <p><label for="<?php echo $this->get_field_id('instagram_token'); ?>"><?php esc_html_e( 'Instagram Token:', 'gwen'); ?> <input class="widefat" id="<?php echo $this->get_field_id('instagram_token'); ?>" name="<?php echo $this->get_field_name('instagram_token'); ?>" type="text" value="<?php echo $instagram_token; ?>" /></label></p>
    <span><?php esc_html_e('Please get the Instagram Token here: ', 'gwen');?><a target="_blank" href="https://instagram.pixelunion.net/"><?php esc_html_e('Get Instagram Token', 'gwen');?></a></span>
    
    <p><label for="<?php echo $this->get_field_id('image_amount'); ?>"><?php esc_html_e( 'Images count:', 'rubik'); ?> <input class="widefat" id="<?php echo $this->get_field_id('image_amount'); ?>" name="<?php echo $this->get_field_name('image_amount'); ?>" type="text" value="<?php echo $amount; ?>" /></label></p>	
	
    <p>
		<label for="<?php echo $this->get_field_id('col_style'); ?>"><strong><?php esc_html_e('Column Style: ','rubik');?></strong></label> 
		<select id="<?php echo $this->get_field_id('col_style'); ?>" name="<?php echo $this->get_field_name('col_style'); ?>" class="widefat" style="width:100%;">
			<option value='2' <?php if ('2' == $instance['col_style']) echo 'selected="selected"'; ?>><?php esc_html_e( '2', 'rubik' ); ?></option>
			<option value='3' <?php if ('3' == $instance['col_style']) echo 'selected="selected"'; ?>><?php esc_html_e( '3', 'rubik' ); ?></option>
		</select>
	</p>   
    <p>
		<label for="<?php echo $this->get_field_id('row_style'); ?>"><strong><?php esc_html_e('Row Style: ','rubik');?></strong></label> 
		<select id="<?php echo $this->get_field_id('row_style'); ?>" name="<?php echo $this->get_field_name('row_style'); ?>" class="widefat" style="width:100%;">
            <option value='1' <?php if ('1' == $instance['row_style']) echo 'selected="selected"'; ?>><?php esc_html_e( '1', 'rubik' ); ?></option>
			<option value='2' <?php if ('2' == $instance['row_style']) echo 'selected="selected"'; ?>><?php esc_html_e( '2', 'rubik' ); ?></option>
			<option value='3' <?php if ('3' == $instance['row_style']) echo 'selected="selected"'; ?>><?php esc_html_e( '3', 'rubik' ); ?></option>
            <option value='4' <?php if ('4' == $instance['row_style']) echo 'selected="selected"'; ?>><?php esc_html_e( '4', 'rubik' ); ?></option>
		</select>
	</p>	
<?php }

}
?>