(function() {
    tinymce.PluginManager.add('bk_shortcode_button', function( editor, url ) {
        editor.addButton( 'bk_shortcode_button', {
            title: 'Shortcodes',
            type: 'menubutton',
            icon: false,
            text: 'Shortcodes',
            menu: [
                {
                    text:'Dropcap',
                    menu:[
                        {
                            text: 'Dropcap Style 1',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Dropcap Style 1',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,                                    
                                    body: [
                                        {
                                            type: 'textbox',
                                            name: 'dropcap',
                                            label: 'Dropcap Text'
                                        },
                                        {
                                            type: 'colorpicker',
                                            name: 'background',
                                            label: 'Background Color',
                                        },
                                        {
                                            type: 'colorpicker',
                                            name: 'textcolor',
                                            label: 'Text Color',
                                        },
                                        {
                                            type: 'textbox',
                                            name: 'fontweight',
                                            label: 'Font Weight',
                                        },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( '[dropcap style="dropcap_style1"   textcolor="' + e.data.textcolor + '"   background="' + e.data.background + '"   fontweight="' + e.data.fontweight + '"]' + e.data.dropcap + '[/dropcap]');
                                    }
                                });
                            }
                        },
                        {
                            text: 'Dropcap Style 2',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Dropcap Style 2',
                                    minWidth: 600,
                                    classes: 'bk-shortcode-popup-frame',
                                    body: [
                                        {
                                            type: 'textbox',
                                            name: 'dropcap',
                                            label: 'Dropcap Text'
                                        },
                                        {
                                            type: 'colorpicker',
                                            name: 'textcolor',
                                            label: 'Text Color',
                                        },
                                        {
                                            type: 'textbox',
                                            name: 'fontweight',
                                            label: 'Font Weight',
                                        },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( '[dropcap style="dropcap_style2"   textcolor="' + e.data.textcolor + '"   fontweight="' + e.data.fontweight + '"]' + e.data.dropcap + '[/dropcap]');
                                    }
                                });
                            }
                        },
                    ],
                },
                {
                    text:'Videos',
                    menu:[
                        {
                            text: 'Youtube',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Youtube Link',
                                    minWidth: 400,
                                    body: [{
                                        type: 'textbox',
                                        name: 'youtubelink',
                                        multiline : true,             
                                        minHeight: 100,
                                        label: 'Youtube Link'
                                    }],
                                    onsubmit: function( e ) {
                                        editor.insertContent( '<p>[youtube_embed]' + e.data.youtubelink + '[/youtube_embed]</p>');
                                    }
                                });
                            }
                        },
                        {
                            text: 'Vimeo',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Vimeo Link',
                                    minWidth: 400,                                    
                                    body: [{
                                        type: 'textbox',
                                        name: 'vimeolink',
                                        multiline : true,
                                        minHeight: 100,
                                        label: 'Vimeo Link'
                                    }],
                                    onsubmit: function( e ) {
                                        editor.insertContent( '<p>[vimeo_embed]' + e.data.vimeolink + '[/vimeo_embed]</p>');
                                    }
                                });
                            }
                        },
                        {
                            text: 'Youtube Playlist',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Youtube Playlist',
                                    minWidth: 400, 
                                    body: [{
                                        type: 'textbox',
                                        name: 'youtubeplaylist',
                                        multiline : true,
                                        minHeight: 100,
                                        label: 'Youtube Playlist'
                                    }],
                                    onsubmit: function( e ) {
                                        editor.insertContent( '<p>[youtube_playlist]' + e.data.youtubeplaylist + '[/youtube_playlist]</p>');
                                    }
                                });
                            }
                        },                        
                    ],
                },
                {
                    text:'Columns',
                    menu:[{
                            text: 'One Half',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'One Half',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'textbox',
                                        name: 'first_content',
                                        multiline : true,
                                        minHeight: 150,
                                        label: 'First Column Content (1/3)'
                                    },
                                    {
                                        type: 'textbox',
                                        name: 'second_content',
                                        multiline : true,
                                        minHeight: 150,
                                        label: 'Second Column Content (1/3)'
                                    },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[one_halfs]</p>' + 
                                                '<p>[one_half]' + e.data.first_content + '[/one_half]</p>' + 
                                                '<p>[one_half]' + e.data.second_content + '[/one_half]</p>' + 
                                            '<p>[/one_halfs]</p>');
                                    }
                                });
                            }
                        },
                        {
                            text: '1/3 1/3 1/3 Column',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: '1/3 1/3 1/3 Column',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'textbox',
                                        name: 'first_content',
                                        multiline : true,
                                        minHeight: 150,
                                        label: 'First Column Content (1/3)'
                                    },
                                    {
                                        type: 'textbox',
                                        name: 'second_content',
                                        multiline : true,
                                        minHeight: 150,
                                        label: 'Second Column Content (1/3)'
                                    },
                                    {
                                        type: 'textbox',
                                        name: 'third_content',
                                        multiline : true,
                                        minHeight: 150,
                                        label: 'Third Column Content (1/3)'
                                    },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[one_thirds]</p>' + 
                                                '<p>[one_third]' + e.data.first_content + '[/one_third]</p>' + 
                                                '<p>[one_third]' + e.data.second_content + '[/one_third]</p>' + 
                                                '<p>[one_third]' + e.data.third_content + '[/one_third]</p>' + 
                                            '<p>[/one_thirds]</p>');
                                    }
                                });
                            }
                        },
                        {
                            text: '2/3 1/3 Column',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: '2/3 1/3 Column',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'textbox',
                                        name: 'first_content',
                                        multiline : true,
                                        minHeight: 150,
                                        label: 'First Column Content (2/3)'
                                    },
                                    {
                                        type: 'textbox',
                                        name: 'second_content',
                                        multiline : true,
                                        minHeight: 150,
                                        label: 'Second Column Content (1/3)'
                                    },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[twothird_onethird]</p>' + 
                                                '<p>[two_third]' + e.data.first_content + '[/two_third]</p>' + 
                                                '<p>[one_third]' + e.data.second_content + '[/one_third]</p>' + 
                                            '<p>[/twothird_onethird]</p>');
                                    }
                                });
                            }
                        },
                    ],
                }, 
                {
                    text: 'Info Box',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Info Box',
                            classes: 'bk-shortcode-popup-frame',
                            minWidth: 600,
                            body: [
                            {
                                type: 'container',
                                name: 'content',
                                label: 'Select the Title and Background Color, then click OK and Put your content to the properly field'
                            },
                            {
                                type: 'textbox',
                                name: 'title',
                                label: 'Title'
                            },
                            {
                                type: 'colorpicker',
                                name: 'textcolor',
                                label: 'Text Color'
                            },
                            {
                                type: 'colorpicker',
                                name: 'background',
                                label: 'Background Color'
                            },
                            {
                                type: 'textbox',
                                name: 'info_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Info Box Content'
                            },
                            {
                                type: 'listbox',
                                name: 'infobox_align',
                                label: 'Align Options',
                                values: [{text: 'Align Center', value: 'aligncenter'}, {text: 'Align Left', value: 'alignleft'}, {text: 'Align Right', value: 'alignright'}]
                            },
                            ],
                            onsubmit: function( e ) {
                                editor.insertContent( 
                                    '<p>[bkinfobox textcolor="' + e.data.textcolor + '" backgroundcolor="' + e.data.background + '" title="' + e.data.title + '" infobox_align="' + e.data.infobox_align + '"]'
                                         + e.data.info_content +
                                    '[/bkinfobox]</p>');
                            }
                        });
                    }
                },
                {
                    text: 'Accordion ',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Accordion ',
                            classes: 'bk-shortcode-popup-frame',
                            minWidth: 600,
                            body: [
                            {
                                type: 'textbox',
                                name: 'accordion1',
                                label: 'Accordion Title 1'
                            },
                            {
                                type: 'textbox',
                                name: 'accordion1_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Accordion Content 1'
                            },
                            {
                                type: 'textbox',
                                name: 'accordion2',
                                label: 'Accordion Title 2'
                            },
                            {
                                type: 'textbox',
                                name: 'accordion2_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Accordion Content 2'
                            },
                            {
                                type: 'textbox',
                                name: 'accordion3',
                                label: 'Accordion Title 3'
                            },
                            {
                                type: 'textbox',
                                name: 'accordion3_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Accordion Content 3'
                            },
                            {
                                type: 'textbox',
                                name: 'accordion4',
                                label: 'Accordion Title 4'
                            },
                            {
                                type: 'textbox',
                                name: 'accordion4_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Accordion Content 4'
                            },
                            {
                                type: 'textbox',
                                name: 'accordion5',
                                label: 'Accordion Title 5'
                            },
                            {
                                type: 'textbox',
                                name: 'accordion5_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Accordion Content 5'
                            },
                            ],
                            onsubmit: function( e ) {
                                var A1SC = '', A2SC = '', A3SC = '', A4SC = '', A5SC = '';
                                if(e.data.accordion1 != '') {
                                    A1SC = '<p>[accordion title=' + e.data.accordion1 + ']' + e.data.accordion1_content + '[/accordion]</p>';
                                }
                                if(e.data.accordion2 != '') {
                                    A2SC = '<p>[accordion title=' + e.data.accordion2 + ']' + e.data.accordion2_content + '[/accordion]</p>';
                                }
                                if(e.data.accordion3 != '') {
                                    A3SC = '<p>[accordion title=' + e.data.accordion3 + ']' + e.data.accordion3_content + '[/accordion]</p>';
                                }
                                if(e.data.accordion4 != '') {
                                    A4SC = '<p>[accordion title=' + e.data.accordion4 + ']' + e.data.accordion4_content + '[/accordion]</p>';
                                }
                                if(e.data.accordion5 != '') {
                                    A5SC = '<p>[accordion title=' + e.data.accordion5 + ']' + e.data.accordion5_content + '[/accordion]</p>';
                                }
                                editor.insertContent( 
                                    '<p>[accordions]</p>' + 
                                         A1SC + A2SC + A3SC + A4SC + A5SC + 
                                    '<p>[/accordions]</p>');
                            }
                        });
                    }
                },
                {
                    text: 'Tabs ',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Tabs ',
                            classes: 'bk-shortcode-popup-frame',
                            minWidth: 600,
                            body: [
                            {
                                type: 'textbox',
                                name: 'tab1',
                                label: 'Tab Title 1'
                            },
                            {
                                type: 'textbox',
                                name: 'tab1_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Tab Content 1'
                            },
                            {
                                type: 'textbox',
                                name: 'tab2',
                                label: 'Tab Title 2'
                            },
                            {
                                type: 'textbox',
                                name: 'tab2_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Tab Content 2'
                            },
                            {
                                type: 'textbox',
                                name: 'tab3',
                                label: 'Tab Title 3'
                            },
                            {
                                type: 'textbox',
                                name: 'tab3_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Tab Content 3'
                            },
                            {
                                type: 'textbox',
                                name: 'tab4',
                                label: 'Tab Title 4'
                            },
                            {
                                type: 'textbox',
                                name: 'tab4_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Tab Content4'
                            },
                            {
                                type: 'textbox',
                                name: 'tab5',
                                label: 'Tab Title 5'
                            },
                            {
                                type: 'textbox',
                                name: 'tab5_content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Tab Content 5'
                            },
                            {
                                type: 'colorpicker',
                                name: 'tabcolor',
                                label: 'Tab Title Text Color'
                            },
                            {
                                type: 'colorpicker',
                                name: 'background',
                                label: 'Tab Bar Background Color'
                            },
                            {
                                type: 'textbox',
                                name: 'fontweight',
                                label: 'Tab Title Fontweight'
                            },
                            ],
                            onsubmit: function( e ) {
                                var tab1SC = '', tab2SC = '', tab3SC = '', tab4SC = '', tab5SC = '';
                                if(e.data.tab1 != '') {
                                    tab1SC = '<p>[tab title=' + e.data.tab1 + ']' + e.data.tab1_content + '[/tab]</p>';
                                }
                                if(e.data.tab2 != '') {
                                    tab2SC = '<p>[tab title=' + e.data.tab2 + ']' + e.data.tab2_content + '[/tab]</p>';
                                }
                                if(e.data.tab3 != '') {
                                    tab3SC = '<p>[tab title=' + e.data.tab3 + ']' + e.data.tab3_content + '[/tab]</p>';
                                }
                                if(e.data.tab4 != '') {
                                    tab4SC = '<p>[tab title=' + e.data.tab4 + ']' + e.data.tab4_content + '[/tab]</p>';
                                }
                                if(e.data.tab5 != '') {
                                    tab5SC = '<p>[tab title=' + e.data.tab5 + ']' + e.data.tab5_content + '[/tab]</p>';
                                }
                                editor.insertContent( 
                                    '<p>[tabs tabcolor="' + e.data.tabcolor + '" background = "' + e.data.background + '" fontweight="' + e.data.fontweight + '"]</p>' + 
                                        tab1SC + tab2SC + tab3SC + tab4SC + tab5SC +
                                    '<p>[/tabs]</p>');
                            }
                        });
                    }
                },
                {
                    text: 'Parallax',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Parallax',
                            minWidth: 600,
                            body: [
                            {
                                type: 'textbox',
                                name: 'imagelink',
                                label: 'Image Link'
                            },
                            {
                                type: 'textbox',
                                name: 'des_url',
                                label: 'Destination URL'
                            },
                            {
                                type: 'textbox',
                                name: 'title',
                                multiline : true,
                                minHeight: 100,
                                label: 'Title'
                            },
                            {
                                type: 'textbox',
                                name: 'content',
                                multiline : true,
                                minHeight: 150,
                                label: 'Content'
                            }
                            ],
                            onsubmit: function( e ) {
                                editor.insertContent( 
                                    '<p>[bkparallax image_url = "' + e.data.imagelink + '" url = "' + e.data.des_url + '" title = "' + e.data.title + '"]' + e.data.content +
                                    '[/bkparallax]</p>');
                            }
                        });
                    }
                },
                {
                    text: 'Author Box',
                    onclick: function() {
                        editor.windowManager.open( {
                            title: 'Author Box',
                            minWidth: 600,
                            body: [
                            {
                                type: 'textbox',
                                name: 'authorid',
                                label: 'Author ID'
                            },
                            ],
                            onsubmit: function( e ) {
                                editor.insertContent( 
                                    '<p>[authorbox authorid = "' + e.data.authorid + '"]</p>' + 
                                    '<p>[/authorbox]</p>');
                            }
                        });
                    }
                },
                {
                text:'Blockquote',
                    menu:[
                        {
                            text: 'Blockquote Style 1',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Blockquote Style 1',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'listbox',
                                        name: 'blockquote_align',
                                        label: 'Blockquote Align Options',
                                        values: [{text: 'Align Center', value: 'aligncenter'}, {text: 'Align Left', value: 'alignleft'}, {text: 'Align Right', value: 'alignright'}]
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'background',
                                        label: 'Select Background Color',
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'textcolor',
                                        label: 'Blockquote Text Color',
                                    },
                                    {
                                        type: 'textbox',
                                        multiline : true,
                                        minHeight: 150,
                                        name: 'content',
                                        label: 'Blockquote Content',
                                    },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[blockquote style="blockquote_style1" align="' + e.data.blockquote_align + '"   textcolor="' + e.data.textcolor + '"   background="' + e.data.background + '"]' +
                                            e.data.content +
                                            '[/blockquote]</p>');
                                    }
                                });
                            }
                        },
                        
                        {
                            text: 'Blockquote Style 2',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Blockquote Style 2',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'listbox',
                                        name: 'blockquote_align',
                                        label: 'Blockquote Align Options',
                                        values: [{text: 'Align Center', value: 'aligncenter'}, {text: 'Align Left', value: 'alignleft'}, {text: 'Align Right', value: 'alignright'}]
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'background',
                                        label: 'Select Background Color',
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'textcolor',
                                        label: 'Blockquote Text Color',
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'bordercolor',
                                        label: 'Select Border Color',
                                    },
                                    {
                                        type: 'textbox',
                                        multiline : true,
                                        minHeight: 150,
                                        name: 'content',
                                        label: 'Blockquote Content',
                                    },
                                    
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[blockquote style="blockquote_style2" align="' + e.data.blockquote_align + '"   textcolor="' + e.data.textcolor + '"   background="' + e.data.background + '"   bordercolor = "' + e.data.bordercolor + '"]' +
                                            e.data.content +
                                            '[/blockquote]</p>');
                                    }
                                });
                            }
                        },
                        
                        {
                            text: 'Blockquote Style 3',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Blockquote Style 3',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'listbox',
                                        name: 'blockquote_align',
                                        label: 'Blockquote Align Options',
                                        values: [{text: 'Align Center', value: 'aligncenter'}, {text: 'Align Left', value: 'alignleft'}, {text: 'Align Right', value: 'alignright'}]
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'background',
                                        label: 'Select Background Color',
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'textcolor',
                                        label: 'Blockquote Text Color',
                                    },
                                    {
                                        type: 'textbox',
                                        multiline : true,
                                        minHeight: 150,
                                        name: 'content',
                                        label: 'Blockquote Content',
                                    },
                                    
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[blockquote style="blockquote_style3" align="' + e.data.blockquote_align + '"   textcolor="' + e.data.textcolor + '"   background="' + e.data.background + '"]' +
                                            e.data.content +
                                            '[/blockquote]</p>');
                                    }
                                });
                            }
                        },
                    ],
                },
                
                
                {
                text:'Inline Posts Box',
                    menu:[
                        {
                            text: 'Inline Posts By IDs',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Inline Posts By IDs',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'textbox',
                                        multiline : true,
                                        minHeight: 50,
                                        name: 'box_title',
                                        label: 'Box Title',
                                    },
                                    {
                                        type: 'listbox',
                                        name: 'inline_box_align',
                                        label: 'Blockquote Align Options',
                                        values: [{text: 'Align Left', value: 'alignleft'}, {text: 'Align Right', value: 'alignright'}]
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'background',
                                        label: 'Select Background Color',
                                    },
                                    {
                                        type: 'colorpicker',
                                        autofocus: true,
                                        name: 'textcolor',
                                        label: 'Text Color',
                                    },
                                    {
                                        type: 'textbox',
                                        multiline : true,
                                        minHeight: 150,
                                        name: 'post_ids',
                                        label: 'Post IDs (Seperate by ",")',
                                    },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[inline_posts type="IDs" box_title="' + e.data.box_title + '"   align="' + e.data.inline_box_align + '"   textcolor="' + e.data.textcolor + '"   background="' + e.data.background + '"]' +
                                            e.data.post_ids +
                                            '[/inline_posts]</p>');
                                    }
                                });
                            }
                        },
                        {
                            text: 'Inline Related Posts',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Inline Related Posts',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'textbox',
                                        multiline : true,
                                        minHeight: 50,
                                        name: 'box_title',
                                        label: 'Box Title',
                                    },
                                    {
                                        type: 'listbox',
                                        name: 'inline_box_align',
                                        label: 'Blockquote Align Options',
                                        values: [{text: 'Align Left', value: 'alignleft'}, {text: 'Align Right', value: 'alignright'}]
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'background',
                                        label: 'Select Background Color',
                                    },
                                    {
                                        type: 'colorpicker',
                                        autofocus: true,
                                        name: 'textcolor',
                                        label: 'Text Color',
                                    },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[inline_posts type="related" box_title="' + e.data.box_title + '"   align="' + e.data.inline_box_align + '"   textcolor="' + e.data.textcolor + '"   background="' + e.data.background + '"]' +
                                            '[/inline_posts]</p>');
                                    }
                                });
                            }
                        },
                        {
                            text: 'Inline Same Category Posts',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Inline Same Category Posts',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'textbox',
                                        multiline : true,
                                        minHeight: 50,
                                        name: 'box_title',
                                        label: 'Box Title',
                                    },
                                    {
                                        type: 'listbox',
                                        name: 'inline_box_align',
                                        label: 'Blockquote Align Options',
                                        values: [{text: 'Align Left', value: 'alignleft'}, {text: 'Align Right', value: 'alignright'}]
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'background',
                                        label: 'Select Background Color',
                                    },
                                    {
                                        type: 'colorpicker',
                                        autofocus: true,
                                        name: 'textcolor',
                                        label: 'Text Color',
                                    },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[inline_posts type="same_cat" box_title="' + e.data.box_title + '"   align="' + e.data.inline_box_align + '"   textcolor="' + e.data.textcolor + '"   background="' + e.data.background + '"]' +
                                            '[/inline_posts]</p>');
                                    }
                                });
                            }
                        },
                        {
                            text: 'Inline Same Author Posts',
                            onclick: function() {
                                editor.windowManager.open( {
                                    title: 'Inline Same Author Posts',
                                    classes: 'bk-shortcode-popup-frame',
                                    minWidth: 600,
                                    body: [
                                    {
                                        type: 'textbox',
                                        multiline : true,
                                        minHeight: 50,
                                        name: 'box_title',
                                        label: 'Box Title',
                                    },
                                    {
                                        type: 'listbox',
                                        name: 'inline_box_align',
                                        label: 'Blockquote Align Options',
                                        values: [{text: 'Align Left', value: 'alignleft'}, {text: 'Align Right', value: 'alignright'}]
                                    },
                                    {
                                        type: 'colorpicker',
                                        name: 'background',
                                        label: 'Select Background Color',
                                    },
                                    {
                                        type: 'colorpicker',
                                        autofocus: true,
                                        name: 'textcolor',
                                        label: 'Text Color',
                                    },
                                    ],
                                    onsubmit: function( e ) {
                                        editor.insertContent( 
                                            '<p>[inline_posts type="same_author" box_title="' + e.data.box_title + '"   align="' + e.data.inline_box_align + '"   textcolor="' + e.data.textcolor + '"   background="' + e.data.background + '"]' +
                                            '[/inline_posts]</p>');
                                    }
                                });
                            }
                        },
                    ],
                },
           ]
        });
    });
})();