<?php
/**
 * The template for displaying Comments.
 */
?>

<?php
    /*
     * If the current post is protected by a password and
     * the visitor has not yet entered the password we will
     * return early without loading the comments.
     */
    if (post_password_required()) return;
?>
    <?php if (comments_open() || have_comments()):?>
    <div class="comment-box clearfix">
    <?php endif;?>
        <?php if (have_comments()):?>
            <div id="comments" class="comments-area clear-fix">
                <div class="comments-area-title">
                    <h3>
                        <?php printf( _n('1 comment', '%1$s comments', get_comments_number(), 'rubik'),  number_format_i18n(get_comments_number()));?>
                    </h3>
                </div><!-- End Comment Area Title -->
                <ol class="commentlist">
                    <?php
                        /* Loop through and list the comments. Tell wp_list_comments()
                         * to use wpgrade_comment() to format the comments.
                         * If you want to overload this in a child theme then you can
                         * define wpgrade_comment() and that will be used instead.
                         * See wpgrade_comment() in inc/template-tags.php for more.
                         */
                        wp_list_comments( array( 'callback' => 'rubik_comments','short_ping'  => true ) );
                    ?>
                </ol><!-- .commentlist -->

                <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
                <nav role="navigation" id="comment-nav-bottom" class="comment-navigation">
                    <div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'rubik' ) ); ?></div>
                    <div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'rubik' ) ); ?></div>
                </nav>
                <?php endif; // check for comment navigation ?>
            </div><!-- #comments .comments-area -->
        <?php endif; // have_comments() ?>
        <?php
            // If comments are closed and there are comments, let's leave a little note, shall we?
            if ( ! comments_open() && post_type_supports( get_post_type(), 'comments' ) && !is_page() ) :
        ?>
            <div class="comment-box clearfix">        
                <div id="comments" class="comments-area clear-fix">
                    <p class="nocomments"><?php esc_html_e( 'Comments are closed.', 'rubik' ); ?></p>
                </div><!-- #comments .comments-area -->
            </div>
            <?php endif; ?>
    
        <?php
        $commenter = wp_get_current_commenter();
        $req = get_option( 'require_name_email' );
        $aria_req = ( $req ? " aria-required='true'" : '' );
    
        if (is_user_logged_in()) {
            $current_user = wp_get_current_user();
            $comments_args = array(
                // change the title of send button
                'title_reply'=> esc_html__('Leave a reply', 'rubik'),
                // remove "Text or HTML to be displayed after the set of comment fields"
                'comment_notes_before' => '',
                'comment_notes_after' => '',
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<p class="comment-form-author"><input id="author" name="author" type="text" placeholder="'.esc_attr__('Name*', 'rubik').'..." size="30" ' .  $aria_req . ' /></p>',
                    'email' => '<p class="comment-form-email"><input id="email" name="email" size="30" type="text" placeholder="'.esc_attr__('Email*', 'rubik').'..." '. $aria_req .' /></p>' ) ),
                'id_submit' => 'comment-submit',
                'label_submit' => esc_html__('Send', 'rubik'),
                // redefine your own textarea (the comment body)
                'comment_field' => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" placeholder="' . esc_attr__( 'Comment', 'rubik' ) . '"></textarea></p>');
        } else {
            $comments_args = array(
            // change the title of send button
            'title_reply'=> esc_html__('Leave a reply', 'rubik'),
            // remove "Text or HTML to be displayed after the set of comment fields"
            'comment_notes_before' => '',
            'comment_notes_after' => '',
            'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<p class="comment-form-author"><input id="author" name="author" type="text" placeholder="'.esc_attr__('Name*', 'rubik').'..." size="30" ' .  $aria_req . ' /></p><!--',
                    'email' => '--><p class="comment-form-email"><input id="email" name="email" size="30" type="text" placeholder="'.esc_attr__('Email*', 'rubik').'..." '. $aria_req .' /></p><!--',
                    'url' => '--><p class="comment-form-url"><input id="url" name="url" size="30" placeholder="'.esc_attr__('Website', 'rubik').'..." type="text"></p>') ),
            'id_submit' => 'comment-submit',
            'label_submit' => esc_html__('Send', 'rubik'),
            // redefine your own textarea (the comment body)
            'comment_field' => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" placeholder="' . esc_attr__( 'Comment', 'rubik' ) . '"></textarea></p>');
        }
    	
    	//if we have no comments than we don't a second title, one is enough
    	if ( !have_comments() ){
    		$comments_args['title_reply'] = esc_html__('Leave a reply', 'rubik');
    	}
    	
        comment_form($comments_args); ?>
    <?php if (comments_open() || have_comments()):?>
    </div>
    <?php endif;?>